<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.6.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

        <property name="autoIncrement" value="true"/>

    <!--
        Added the entity Transaksi.
    -->
    <changeSet id="20200613080930-1" author="jhipster">
        <createTable tableName="transaksi">
            <column name="id" type="bigint" autoIncrement="${autoIncrement}">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="nomor" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="tanggal" type="datetime">
                <constraints nullable="true" />
            </column>
            <column name="metode" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="bank" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="nomor_rekening" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="virtual_account" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="status" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="update_by" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="update_on" type="datetime">
                <constraints nullable="true" />
            </column>
            <column name="tagihan_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here, do not remove-->
        </createTable>
        <dropDefaultValue tableName="transaksi" columnName="tanggal" columnDataType="datetime"/>
        <dropDefaultValue tableName="transaksi" columnName="update_on" columnDataType="datetime"/>
    </changeSet>

    <changeSet id="20200613080930-1-relations" author="jhipster">

    </changeSet>
    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here, do not remove-->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20200613080930-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/transaksi.csv"
                  separator=";"
                  tableName="transaksi">
            <column name="id" type="numeric"/>
            <column name="nomor" type="string"/>
            <column name="tanggal" type="datetime"/>
            <column name="metode" type="string"/>
            <column name="bank" type="string"/>
            <column name="nomor_rekening" type="string"/>
            <column name="virtual_account" type="string"/>
            <column name="status" type="string"/>
            <column name="update_by" type="string"/>
            <column name="update_on" type="datetime"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here, do not remove-->
        </loadData>
    </changeSet>

</databaseChangeLog>
